<?php $__env->startSection('content'); ?>
<h1>Edit Checklist Field</h1>
<hr>

<form method="POST" action="<?php echo e(route('chklistfields.update',$field->id)); ?>">
    <input type="hidden" name="_method" value="PUT">
    <?php echo e(csrf_field()); ?>

    <div class="row">
        <div class="col-lg-12 col-md-12 col-sm-12">
            <?php
            $checked_text = $field->type == 0 ? "checked" : "";
            $checked_radio = $field->type == 1 ? "checked" : "";
            $checked_info = $field->type == 2 ? "checked" : "";
            $checked_one_line = $field->type == 3 ? "checked" : "";
            $checked_documented_none = $field->documented == 0 ? "checked" : "";
            $checked_documented_page1 = $field->documented == 1 ? "checked" : "";
            $checked_documented_page2 = $field->documented == 2 ? "checked" : "";
            ?>
            <div class="form-check form-check-inline m-1">
                <label class=" col-form-label m-2"><b> Type: </b></label>
                <input class="form-check-input" type="radio" name="type" value="0" <?php echo e($checked_text); ?>>
                <label class="form-check-label mr-2" for="type">Text</label>

                <input class="form-check-input" type="radio" name="type" value="1" <?php echo e($checked_radio); ?>>
                <label class="form-check-label mr-2" for="type">Radio</label>

                <input class="form-check-input" type="radio" name="type" value="2" <?php echo e($checked_info); ?>>
                <label class="form-check-label mr-2" for="type">Info</label>
                
                <input class="form-check-input" type="radio" name="type" value="3" <?php echo e($checked_one_line); ?>>
                <label class="form-check-label mr-2" for="type">One Line Text</label>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12 col-md-12 col-sm-12">
            <div class="form-check form-check-inline m-1">
                <label class=" col-form-label m-2   "><b> Documented: </b></label>
                <input class="form-check-input" type="radio" name="documented" value="1" <?php echo e($checked_documented_page1); ?>>
                <label class="form-check-label mr-2">First Page</label>

                <input class="form-check-input" type="radio" name="documented" value="2" <?php echo e($checked_documented_page2); ?>>
                <label class="form-check-label mr-2">Second Page</label>

                <input class="form-check-input" type="radio" name="documented" value="0" <?php echo e($checked_documented_none); ?>>
                <label class="form-check-label mr-2">None</label>
                <div class="form-check form-check-inline m-1">
                    <label class="col-form-label m-2 "><b>Division:</b></label>
                    <select

                    class="selectpicker form-control" data-size="5" data-style="btn-primary"
                        data-live-search="true"
                    name="chklistdiv_id" id="chklistfields_list" required>
                        <?php $__currentLoopData = $chklistdivs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $chklistdiv): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php if($field->chklistdiv->id == $chklistdiv->id): ?>
                                <option  selected value=<?php echo e($chklistdiv->id); ?>><?php echo e($chklistdiv->name); ?></option>
                            <?php else: ?>
                                <option value=<?php echo e($chklistdiv->id); ?>><?php echo e($chklistdiv->name); ?></option>
                            <?php endif; ?>

                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                </div>
            </div>
        </div>

    </div>


    <div class="row">
        <div class="col-lg-12 col-md-12 col-sm-12">
            <div class="form-row mt-1 card " style="border-radius: 5px;box-shadow: 0px 0px 4px gray;">
                <div class="form-inline">
                    <div class="col-sm-12 col-lg-4 col-md-12 my-1">
                        <label class=" col-form-label font-weight-bold  ">Row Span</label>
                        <input type="number" name="tr_span" min="0" step="1" class="form-control"
                            value=<?php echo e($field->tr_span); ?>>
                    </div>
                    <div class="col-sm-12 col-lg-4 col-md-12 my-1">
                        <label class=" col-form-label font-weight-bold ">Title Span</label>
                        <input type="number" name="th_span" min="0" step="0.1" class="form-control"
                            value=<?php echo e($field->th_span); ?>>
                    </div>
                    <div class="col-sm-12 col-lg-4 col-md-12 my-1">
                        <label class=" col-form-label font-weight-bold ">Value Span</label>
                        <input type="number" name="td_span" min="0" step="0.1" class="form-control"
                            value=<?php echo e($field->td_span); ?>>
                    </div>
                </div>
            </div>
        </div>

    </div>


    <div class="row">
        <div class="col-lg-12 col-md-12 col-sm-12">
            <div class="form-row  mt-1 card border mb-1"
                style="border-radius: 5px;box-shadow: 0px 0px 4px gray; background-color: lightgray;">
                <label class="col-form-label font-weight-bold">Field Title:</label>
                <div class="form-group">
                    <textarea type="text" class="form-control" name="description" rows=15><?php echo e($field->description); ?></textarea>

                </div>
                <label class=" col-form-label font-weight-bold">Field Value (Info Type only):</label>
                <div class="form-group">
                    <textarea type="text" class="form-control summernote" name="value"><?php echo e($field->value); ?></textarea>
                </div>

            </div>
            <button type="submit" class="btn btn-primary">Save changes</button>

        </div>

    </div>

</form>






<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/bsafeadmin/public_html/resources/views/management/chklistfields/edit.blade.php ENDPATH**/ ?>