

<?php $__env->startSection('content'); ?>

<h1>Equipment</h1>
<hr>
<div class="row">
    <div class="col-lg-12 col-md-12 col-sm-12">
        <div class="card">
            <div class="card-header">
              Add New Equipment
            </div>
            <div class="card-body">
                <form method="POST" action="<?php echo e(route('equipment.store')); ?>">
                    <?php echo e(csrf_field()); ?>

                    <div class="form-row">
                        <label for="name" class=" col-form-label">Name</label>
                        <div class="form-group mr-2">
                            <input type="text" class="form-control" name="name" placeholder="Equipment Name">
                        </div>
                        <label for="duration" class=" col-form-label">Inspection duration(min)</label>
                        <div class="form-group mr-2">
                            <input type="number" class="form-control" name="duration" value="0" min=0>
                        </div>
                        <label for="certificate_expiry_duration" class=" col-form-label">Certificate Expire in (months)</label>
                        <div class="form-group mr-2">
                            <input type="number" class="form-control" name="certificate_expiry_duration" value="6" min=0>
                        </div>

                    </div>
                    <div class="form-row">
                        <div class="col-lg-3 col-md-3 col-sm-12 card p-1 mr-1" style="background-color: #f0f0f0;">
                            <p style="box-shadow: 0px 0px 3px gray; text-align: center;background-color: #fff;">EIAC Approval
                            </p>
                            <div class="form-check form-check-inline ">
                                <input class="form-check-input" type="radio" name="eiac"  value="1">
                                <label class="form-check-label" for="inlineRadio1">YES</label>
                            </div>
                            <div class="form-check form-check-inline">
                                <input class="form-check-input" type="radio" checked name="eiac"  value="0">
                                <label class="form-check-label" for="inlineRadio2">NO</label>
                            </div>
                        </div>
                        <div class="card  p-1 col-lg-3 col-md-3 col-sm-12" style="background-color: #f0f0f0;">
                            <p style="box-shadow: 0px 0px 3px gray; text-align: center;background-color: #fff;">INAS Approval
                            </p>
                            <div class="form-check form-check-inline">
                                <input class="form-check-input" type="radio" name="inas"  value="1">
                                <label class="form-check-label" for="inlineRadio1">YES</label>
                            </div>
                            <div class="form-check form-check-inline">
                                <input class="form-check-input" type="radio" checked name="inas" value="0">
                                <label class="form-check-label" for="inlineRadio2">NO</label>
                            </div>
                        </div>
                    </div>

                    <div class="form-row mt-2">
                        <div class="form-group">
                            <button type="submit" class="btn btn-primary ml-1">Submit</button>
                        </div>
                    </div>

                </form>
            </div>
          </div>

    </div>

</div>
<hr>
<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-header">
              List of Equipment
            </div>
            <div class="card-body">
                <table class="myDatatable table table-sm table-bordered table-hover shadow">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>Equipment Name</th>
                            <th>Inspection Duration</th>
                            <th>EIAC</th>
                            <th>INAS</th>
                            <th>Check List</th>
                            <th>Certificate Expiry</th>

                        </tr>
                    </thead>
                    <?php $__currentLoopData = $equipment; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $equip): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td><?php echo e($equip->id); ?></td>
                        <td><?php echo e($equip->name); ?></td>
                        <td><?php echo e($equip->duration); ?></td>
                        <td><?php
                            $eiac = $equip->eiac ==1 ? "Accredited" : "Not Accredited";
                            echo $eiac;
                            ?>
                        </td>
                        <td><?php
                            $inas = $equip->inas ==1 ? "Accredited" : "Not Accredited";
                            echo $inas;
                            ?>
                        </td>
                        <td>
                            <?php
                            $chklist_id =0;
                            if($equip->chklist){
                            $chklist_id = $equip->chklist->id;
                            }
                            ?>
                             <a class="btn btn-sm btn-danger mt-1 d-inline-block" href="<?php echo e(route('chklists.create2',$equip->id)); ?>">Create</a>
                            <?php if($chklist_id != 0): ?>
                                <a class="btn btn-sm btn-success mt-1 d-inline-block" href="<?php echo e(route('chklists.show',$chklist_id)); ?>">View</a>
                            <?php endif; ?>


                        </td>
                        <td>
                                <?php echo e($equip->certificate_expiry_duration); ?> months
                        </td>
                    </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </table>
            </div>
          </div>

    </div>

</div>
<hr>




<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/bsafeadmin/public_html/resources/views/management/equipment/index.blade.php ENDPATH**/ ?>