
<?php $__env->startSection('content'); ?>
<div class="row" >
    <div class="col-sm-12 col-md-12 col-lg-12 mb-2 text-center">
        <h3>Inspection Workorders</h3>
    </div>

    <div class="col-sm-12 col-md-12 col-lg-12">
        <div class="card">
            <div class="card-header">
                Filtering Options
            </div>
            <div class="card-body">
                <form action="<?php echo e(route('reports_workorders_search')); ?>" method="GET">
                <?php echo e(csrf_field()); ?>

                <div class="row">
                    <div class="col-3">
                        <label for="workorder_search_val" class=" col-form-label pr-0 mx-1">by Workorder ID</label>
                        <div class="input-group">
                            <div class="input-group-prepend">
                                <span class="input-group-text purple lighten-3" id="basic-text1">
                                    <i class="fas fa-search text-white" aria-hidden="true"></i></span>
                            </div>
                            <input class="form-control my-0 p-1 " style="font-size: 15px;" type="text"
                            placeholder="..." aria-label="Search" value="<?php echo e($workorder_search_val); ?>"
                             name="workorder_search_val">
                        </div>
                    </div>
                    <div class="col-3">
                        <label for="company_search_val" class=" col-form-label pr-0 mx-1">by Company Name</label>
                        <div class="input-group">
                            <div class="input-group-prepend">
                                <span class="input-group-text purple lighten-3" id="basic-text1">
                                    <i class="fas fa-search text-white" aria-hidden="true"></i></span>
                            </div>
                            <input class="form-control my-0 p-1 " style="font-size: 15px;" type="text"
                            placeholder="..." aria-label="Search" value="<?php echo e($company_search_val); ?>"
                             name="company_search_val">
                        </div>
                    </div>
                    
                    <div class="col-3">
                        <label for="start_day" class=" col-form-label pr-0 mx-1">Start Date</label>
                            <div class=" pl-0 mx-1">
                                <input class="search_date" type="date" id="start_day" name="start_day"
                                    value="<?php echo e($start_day); ?>" class="form-control">
                            </div>
                    </div>
                    <div class="col-3">
                        <label for="end_day" class=" col-form-label pr-0 mx-1">End Date</label>
                        <div class=" pl-0 mx-1">
                            <input class="search_date" type="date" id="end_day" name="end_day"
                            value="<?php echo e($end_day); ?>" class="form-control">
                        </div>
                    </div>
                    
                </div>
                <div class="row mt-2">
                    <div class="col-12">
                        <button type="submit" class="btn btn-primary">Search</button>
                    </div>
                </div>
                


                 </form>
            </div>
        </div>
        
    </div>
</div>
<hr>


<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-header">
                Results Table
            </div>
            <div class="card-body">
                <div class="table-responsive">
                        <table style="text-align: left;table-layout: fixed"  
                        class="table table-bordered table-sm table-hover table-light myDatatable">
                                <thead style="background-color: rgb(80, 120, 131); color: white;font-size: 10px;">
                                    <tr>
										<th>ID</th>
                                        <th>Company</th>
                                        <th>Inquiry</th>
                                        <th>Service Address</th>
                                        <th>Equipment (Qty)</th>
                                        <th>WorkOrder completion</th>
                                        <th>Tasks Progress</th>
                                        <th>Assinged Engineers</th>
                                        <th>Status</th>
                                        <th>Created At</th>
                                        <th>Action</th>

                                    </tr>
                                </thead>

                                <?php $__currentLoopData = $insservices; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $insservice): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php
                                    $tr_bg = "";
                                    if($insservice->workorder->failed){
                                        $tr_bg= "bg-danger";
                                    }
                                ?>
                                <tr style="font-size: 12px;" class="<?php echo e($tr_bg); ?>">
									<td><?php echo e($insservice->workorder->id); ?></Td>
                                    <td><a href="/companies/<?php echo e($insservice->inqservice->branch->company->id); ?>">
                                        <?php echo e($insservice->inqservice->branch->company->name); ?></a></td>
                                        <td><a href="/inqservices/<?php echo e($insservice->inqservice->id); ?>">View</a></td>
                                    <td><?php echo e($insservice->zone->emirate->name); ?>, <?php echo e($insservice->zone->name); ?>, <?php echo e($insservice->location); ?> </td>
                                    <td>
                                            <ul class="list-group">
                                                    <?php $__currentLoopData = $insservice->equipment; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $inss_eq): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <li >
                                                        <?php echo e($inss_eq->name); ?> ( <?php echo e($inss_eq->pivot->qty); ?> )

                                                </li>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </ul>

                                    </td>
                                    <td>
                                            <div class="progress">
                                                    <div class="progress-bar progress-bar-success progress-bar-striped active"
                                                     role="progressbar" aria-valuenow=<?php echo e($workorder_progress[$insservice->id]); ?>

                                            aria-valuemin="0" aria-valuemax="100"  style="min-width:10%;
                                                width:<?php echo e($workorder_progress[$insservice->id]); ?>%">
                                                    <?php echo e($workorder_progress[$insservice->id]); ?>%
                                                    </div>
                                                    </div>
                                    </td>
                                    <td>
                                            <div class="progress">
                                                <?php

                                                    if(array_key_exists($insservice->id,$task_progress)){
                                                        $task_progress_val = $task_progress[$insservice->id];
                                                    }else{
                                                        $task_progress_val = 0;
                                                    }
                                                ?>
                                                    <div class="progress-bar progress-bar-success progress-bar-striped active"
                                                    role="progressbar" aria-valuenow=<?php echo e($task_progress_val); ?>

                                                    aria-valuemin="0" aria-valuemax="100" style="min-width:10%;
                                                    width:<?php echo e($task_progress_val); ?>%">
                                                    <?php echo e($task_progress_val); ?>%
                                                    </div>
                                                    </div>
                                    </td>
                                    <td>
                                        <ul class="list-group">
                                            <?php $__currentLoopData = $insservice->workorder->instask; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $instask): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php $__currentLoopData = $instask->user; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $inspector): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <li>* <?php echo e($inspector->name); ?></li>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                <hr>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </ul>
                                    </td>
                                    <td><?php echo e($insservice->workorder->inqstatus->name); ?></td>
                                    
                                    <td><?php echo e($insservice->workorder->created_at); ?></td>
                                    <td>
                                        <?php
                                            if($insservice->workorder->inqstatus_id == 1 and $insservice->workorder->failed == 0) // new workorder
                                            {
                                                $failed_workorder_btn = "inline-block";
                                            }else{
                                                $failed_workorder_btn = "none";
                                            }
                                        ?>
                                        <a  href="/workorders/<?php echo e($insservice->workorder->id); ?>" class="btn btn-sm btn-primary mb-1">View</a>

                                        <button type="button" style="display:<?php echo e($failed_workorder_btn); ?>;"
                                          data-toggle="modal" data-target="#workorder_failed_<?php echo e($insservice->workorder->id); ?>"
                                            class="btn btn-sm btn-warning mb-1 ">Mark Failed</button>

                                    </td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </table>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>
    
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/bsafeadmin/public_html/resources/views/management/reports/inspection/search_workorders.blade.php ENDPATH**/ ?>