
<?php $__env->startSection('content'); ?>
<div class="row p-2" >
    <div class="col-sm-12 col-md-12 col-lg-12 mb-2 text-center">
        <h3>Finished Inspection Jobs</h3>
    </div>

    <div class="col-sm-12 col-md-12 col-lg-12">
        <form action="<?php echo e(route('reports_insjobs.search')); ?>" method="GET" class="form-row" >
                <?php echo e(csrf_field()); ?>

                <div class="col-sm-12 col-md-12 col-lg-3">
                    <div class="form-group row">
                        <label for="start_day" class=" col-form-label pr-0 mr-1">Start Date</label>
                        <div class=" pl-0">
                            <input class="search_date" type="date" id="start_day" name="start_day"
                                value=<?php echo e(\Carbon\Carbon::today()->addMonths(-2)->format('Y-m-d')); ?> class="form-control">
                        </div>
                    </div>
                </div>
                <div class="col-sm-12 col-md-12 col-lg-3">
                    <div class="form-group row">
                        <label for="end_day" class=" col-form-label pr-0 mr-1">End Date</label>
                        <div class=" pl-0">
                            <input class="search_date" type="date" id="end_day" name="end_day"
                            value=<?php echo e(\Carbon\Carbon::today()->addMonths(1)->format('Y-m-d')); ?> class="form-control">
                        </div>
                    </div>
                </div>
            <div class="col-sm-12 col-md-12 col-lg-6">
                    <div class="input-group md-form form-sm form-1 pl-0  mb-1  float-left">
                        <div class="input-group-prepend ">
                            <span class="input-group-text purple lighten-3" id="basic-text1"><i class="fas fa-search text-white"
                                aria-hidden="true"></i></span>
                        </div>
                        <input class="form-control my-0 py-1" type="text" placeholder="Search by, Company Name, inspector, or Workorder ID" aria-label="Search" name="search_val">
                        <button type="submit" class="btn btn-sm btn-primary ml-1">Search</button>
                    </div>
            </div>


        </form>
    </div>
</div>
<hr>
<div class="row">
    <div class="col-sm-12 col-md-12 col-lg-12">
        <div class="card">
            <div class="card-header">
                Search Result
            </div>
            <div class="card-body">
                <div class="table-responsive">
                    <table style="box-shadow: 0px 0px 10px lightgray; "
                        class="table table-bordered table-hover table-sm table-striped myDatatable">
                        <thead style="background-color:  rgb(80, 120, 131); color: white;font-size: 12px;text-align: center;">
                            <tr>
                                <th>Job ID</th>
                                <th>Company</th>
                                <th>Service Location</th>
                                <th>Equipment (QTY)</th>
                                <th>Engineer</th>
                                <th>Service Date</th>
                                <th>Inquiry / Proposal / Workorder</th>
                                <th>Certificates / Checklist</th>
                                <th>Result</th>
                                <th>Reinspection</th>
                            </tr>
                        </thead>
                        <tbody>

                            <?php $__currentLoopData = $insjobs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $insjob): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php
                                    $company_name =$insjob->instask->workorder->insservice->inqservice->branch->company->name;
                                    $user_id = $insjob->user->id;
                                    $report_name = '/storage/docs/companies/' . $company_name . '/inspections/' . $user_id
                                    .'/'.$insjob->id. '/docs/Report.pdf';
                                    $chklist_name = '/storage/docs/companies/' . $company_name . '/inspections/' . $user_id
                                    .'/'.$insjob->id. '/docs/chklist.pdf';
                                ?>
                                <tr style="font-size: 10px;text-align: center;">
                                    <td><?php echo e($insjob->id); ?></td>
                                    <td>
                                        <p>
                                        Company: <?php echo e($company_name); ?>

                                        </p>
                                    </td>
                                    <td>
                                        <p>
                                            <?php echo e($insjob->instask->workorder->insservice->inqservice->branch->zone->emirate->name); ?>,
                                            <?php echo e($insjob->instask->workorder->insservice->inqservice->branch->zone->name); ?>,
                                            <?php echo e($insjob->instask->workorder->insservice->location); ?>

                                        </p>
                                    </td>
                                    <td>
                                        <p><?php echo e($insjob->equipment->name); ?> (<?php echo e($insjob->qty); ?>)
                                            </p>
                                    </td>
                                    <td><p><?php echo e($insjob->user->name); ?></p></td>
                                    <td><p><?php echo e($insjob->get_chklistfield_byId(8)); ?></p></td>
                                    <td>
                                        <p>
                                        Inquiry: <a class="text-primary" target="_blank"
                                                            href="/inqservices/<?php echo e($insjob->instask->workorder->insservice->inqservice->id); ?>">
                                                            Q:<?php echo e($insjob->instask->workorder->insservice->inqservice->id); ?></a>
                                        /
                                            Proposal: <a class="text-primary" target="_blank"
                                                            href="/insproposals/<?php echo e($insjob->instask->workorder->insservice->insproposal->id); ?>">
                                                            P:<?php echo e($insjob->instask->workorder->insservice->insproposal->id); ?></a>
                                        /
                                            Workorder: <a class="text-primary" target="_blank"
                                                            href="/workorders/<?php echo e($insjob->instask->workorder->id); ?>">
                                                            W:<?php echo e($insjob->instask->workorder->id); ?></a>
                                        </p>
                                    </td>
                                    <td>
                                        <p><a class="text-primary" target="_blank" href="<?php echo $report_name; ?>">
                                                BSS-<?php echo e($insjob->insdocuments->id); ?></a>
                                                <br><br> 
                                        <a href="<?php echo e($chklist_name); ?>" target="_blank">Checklist</a></p>
                                    </td>
                                    <td>
                                        <?php if(strtolower(trim($insjob->get_chklistfield_byId(12))) == "safe"): ?>
                                                    <strong class="text-success"><?php echo e($insjob->get_chklistfield_byId(12)); ?></strong>
                                            <?php else: ?>
                                                    <strong class="text-danger"><?php echo e($insjob->get_chklistfield_byId(12)); ?></strong>   
                                            <?php endif; ?>
                                    </td>
                                    <td>
                                            <?php
                                                    if($insjob->instask->related_job_id != 0)
                                                    {

                                                        echo (

                                                            "Related Job: <a target='_blank' href=".route('instasks.show',$insjob->instask->related_task_id)." class='links font-weight-bolder'>
                                                                ".$insjob->instask->related_job_id."
                                                            </a>");
                                                    }else{
                                                        echo "<b>Original</b>";
                                                    }
                                                ?>
                                        </td>
                                    
                                    
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        
    </div>
</div>


<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/bsafeadmin/public_html/resources/views/management/reports/inspection/reports_insjobs.blade.php ENDPATH**/ ?>