

<?php $__env->startSection('content'); ?>
<h1 style="text-align: center;">Inspection Accounting Tracking</h1>
<hr>

<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-header">
              Finished  Inspection Jobs
            </div>
            <div class="card-body table-responsive">
                <table class="myDatatable table table-sm  text-capitalize text-truncate table-condensed table-bordered order-column font-8 text-wrap"
                    style="table-layout: auto;">
                    <thead>
                        <tr style="font-size: 10px !important;">
                            <th>Job ID</th>
                            
                            <th>Certificate ID / Result</th>
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('accountant_track')): ?>
                                <th>Invoice Created</th>
                                <th>Accountant</th>
                                <th>Invoice No.</th>
                                <th>Tracking Date</th>
                            <?php endif; ?>
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('admin_track')): ?>
                                <th>Admin</th>
                                <th>Certificate Downloaded</th>
                                <th>Download Date</th>
                            <?php endif; ?>
                            <th>Actions</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $insjobs->sortByDesc('created_at'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $job): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php
                            $company_name = $job->instask->workorder->insservice->inqservice->branch->company->name;
                            $user_id = $job->user->id;
                            $report_name = '/storage/docs/companies/'.$company_name.'/inspections/'. $user_id .'/'.$job->id. '/docs/Report.pdf';
                            $invoice_created = "Not-created";
                            $invoice_tracking_date = "NA";
                            $accountant_name = "NA";
                            $invoice_no = "NA";
                            $tr_bg = "";
                            if($job->invoice_created == 1){
                                $invoice_created = "Yes";
                                $invoice_tracking_date = $job->tracking_date;
                                $accountant_name = $job->accountant->name;
                                $invoice_no = $job->invoice_no;
                                $tr_bg = "green";
                            }
                            $cert_downloaded = "Not-Downloaded";
                            $admin_name = "NA";
                            $download_date = "NA";
                            $btn_text = "Mark Downloaded";
                            $btn_class = "btn-success";
                            if($job->cert_downloaded == 1){
                                $cert_downloaded = "Yes";
                                $download_date = $job->download_date;
                                $admin_name = $job->admin->name;
                                $btn_text = "Mark Not Downloaded";
                                $btn_class = "btn-danger";
                            }
                        ?>
                            <tr style="font-size: 14px;background-color: <?php echo e($tr_bg); ?>">
                                <td>
                                    <?php echo e($job->id); ?>

                                </td>
                                
                                <td>
                                    <a class="text-primary" target="_blank" href="<?php echo $report_name; ?>">
                                        BSS-<?php echo e($job->insdocuments->id); ?></a>
                                </td>
                                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('accountant_track')): ?>
                                    <td>
                                        <?php echo e($invoice_created); ?>

                                    </td>
                                    <td>
                                        <?php echo e($accountant_name); ?>

                                    </td>
                                    <td>
                                        <?php echo e($invoice_no); ?>

                                    </td>
                                    <td>
                                        <?php echo e($invoice_tracking_date); ?>

                                    </td>
                                <?php endif; ?>
                                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('admin_track')): ?>
                                    <td id="admin_name_<?php echo e($job->id); ?>"><?php echo e($admin_name); ?></td>
                                    <td id="cert_downloaded_<?php echo e($job->id); ?>"><?php echo e($cert_downloaded); ?></td>
                                    <td id="download_date_<?php echo e($job->id); ?>"><?php echo e($download_date); ?></td>
                                <?php endif; ?>
                                <td>
                                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('accountant_track')): ?>
                                        <button class="btn btn-sm btn-primary my-1 mx-1"
                                        data-toggle="modal" data-target="#traking_madal_<?php echo e($job->id); ?>"
                                        >Track</button>
                                    <?php endif; ?>
                                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('admin_track')): ?>
                                        <button insjob_id=<?php echo e($job->id); ?> 
                                            class="btn btn-sm  my-1 mx-1 cert_downloaded_btn <?php echo e($btn_class); ?>"><?php echo e($btn_text); ?></button>
                                    <?php endif; ?>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
        </div>




    </div>
</div>
<hr>
<?php $__currentLoopData = $insjobs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $job): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
<div class="modal fade" id="traking_madal_<?php echo e($job->id); ?>" tabindex="-1" role="dialog" aria-labelledby="traking_madalLabel_<?php echo e($job->id); ?>" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="traking_madalLabel_<?php echo e($job->id); ?>">Tracking Invoice for Job <?php echo e($job->id); ?></h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <form action="<?php echo e(route('store_accounting_insjob')); ?>" method="POST" name="form_<?php echo e($job->id); ?>" id="form_<?php echo e($job->id); ?>">
            <?php echo csrf_field(); ?>
            <div class="modal-body">

                <input type="hidden" value="<?php echo e($job->id); ?>" name="insjob_id">
                  <div class="form-group row">
                    <label for="invoice_no" class="col-sm-3 col-form-label">Invoice No.</label>
                    <div class="col-sm-9">
                      <input type="text" name="invoice_no" class="form-control">
                    </div>
                  </div>

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="submit" class="btn btn-primary">Save changes</button>
            </div>
        </form>
      </div>
    </div>
  </div>
<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/bsafeadmin/public_html/resources/views/management/reports/accounting/index.blade.php ENDPATH**/ ?>